Bug 167274 - Can't run two instances of evince
Can't run two instances of evince
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 02:00 EDT by Nicholas Miell
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 02:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2005-09-01 02:00:43 EDT
The latest evince errata package (evince-0.4.0-1.1) has introduced an
interesting behavior that prevents you from running more than one instance of
evince (i.e. to read multiple PDFs simultaneously).

Starting the first instance of evince will work fine, but attempting to run
evince again (without exiting the first instance) gives the following:

[nicholas@entropy tmp]$ evince
Attempt to register the same DBusConnection with the message bus, but it is
already registered
11346: arguments to dbus_message_iter_append_basic() were incorrect, assertion
"value != NULL" failed in file dbus-message.c line 2075.
This is normally a bug in some application using the D-BUS library.

** ERROR **: Out of memory
aborting...
[nicholas@entropy tmp]$
Comment 1 Emmanuel Kowalski 2005-09-01 09:02:04 EDT
I noticed the same problem also.
I have ``solved'' it for myself at the moment by disabling DBUS when
rebuilding the RPM.  The previous version did not use DBUS apparently,
and after superficial tests, this change does not break the basic
functionality (and does resolve the problem)...

A binary RPM for i386 built in this manner can be bound at:

   http://www.math.u-bordeaux1.fr/~kowalski/evince-0.4.0-1.1ek.i386.rpm

Comment 2 Emmanuel Kowalski 2005-09-01 10:06:27 EDT
A further note: unfortunately, without DBUS, the new metadata management
in 0.4.0 is disabled, so (like the previous version) evince does not remember
window positions, zoom level, etc...
Comment 3 Marco Pesenti Gritti 2005-09-01 10:08:47 EDT
Be patient, update is on the way ;)
Comment 4 Fedora Update System 2005-09-01 11:15:57 EDT
From User-Agent: XML-RPC

evince-0.4.0-1.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 Emmanuel Kowalski 2005-09-01 12:51:47 EDT
The new update solves the problem for me (there is still a warning when starting
a second instance of evince, but I assume this is normal...):

Attempt to register the same DBusConnection with the message bus, but it is
already registered

Thanks!

Note You need to log in before you can comment on or make changes to this bug.